_ServantActivatorStub (Java Platform SE 8 )
Keywords: org.omg.PortableServer._ServantActivatorStub class
Date: 2018-07-01

org.omg.PortableServer

## Class _ServantActivatorStub

- java.lang.Object
- - org.omg.CORBA.portable.ObjectImpl
  - - org.omg.PortableServer._ServantActivatorStub

- All Implemented Interfaces:
    Serializable, Object, IDLEntity, ServantActivator, ServantActivatorOperations, ServantManager, ServantManagerOperations

      public class _ServantActivatorStub
      extends ObjectImpl
      implements ServantActivator

  When the POA has the RETAIN policy it uses servant managers that are ServantActivators.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Class` | `_opsClass`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `_ServantActivatorStub()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `_ids()` Retrieves a string array containing the repository identifiers supported by this `ObjectImpl` object.
    `void` | `etherealize(byte[] oid, POA adapter, Servant serv, boolean cleanup_in_progress, boolean remaining_activations)` This operation is invoked whenever a servant for an object is deactivated, assuming the POA has the USE_SERVANT_MANAGER and RETAIN policies.
    `Servant` | `incarnate(byte[] oid, POA adapter)` This operation is invoked by the POA whenever the POA receives a request for an object that is not currently active, assuming the POA has the USE_SERVANT_MANAGER and RETAIN policies.

    - ### Methods inherited from class org.omg.CORBA.portable.ObjectImpl

      `_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

- - ### Field Detail

    - #### _opsClass

          public static final Class _opsClass

  - ### Constructor Detail

    - #### _ServantActivatorStub

          public _ServantActivatorStub()

  - ### Method Detail

    - #### incarnate

          public Servant incarnate(byte[] oid,
                                   POA adapter)
                            throws ForwardRequest

      This operation is invoked by the POA whenever the POA receives a request for an object that is not currently active, assuming the POA has the USE_SERVANT_MANAGER and RETAIN policies.
      Specified by:
        `incarnate` in interface `ServantActivatorOperations`
      Parameters:
        `oid` - object Id associated with the object on the request was made.
        `adapter` - object reference for the POA in which the object is being activated.
      Returns:
        Servant corresponding to oid is created or located by the user supplied servant manager.
      Throws:
        `ForwardRequest` - to indicate to the ORB that it is responsible for delivering the current request and subsequent requests to the object denoted in the forward_reference member of the exception.

    - #### etherealize

          public void etherealize(byte[] oid,
                                  POA adapter,
                                  Servant serv,
                                  boolean cleanup_in_progress,
                                  boolean remaining_activations)

      This operation is invoked whenever a servant for an object is deactivated, assuming the POA has the USE_SERVANT_MANAGER and RETAIN policies.
      Specified by:
        `etherealize` in interface `ServantActivatorOperations`
      Parameters:
        `oid` - object Id associated with the object being deactivated.
        `adapter` - object reference for the POA in which the object was active.
        `serv` - contains reference to the servant associated with the object being deactivated.
        `cleanup_in_progress` - if TRUE indicates that destroy or deactivate is called with etherealize_objects param of TRUE. FALSE indicates that etherealize was called due to other reasons.
        `remaining_activations` - indicates whether the Servant Manager can destroy a servant. If set to TRUE, the Servant Manager should wait until all invocations in progress have completed.

    - #### _ids

          public String[] _ids()

      Description copied from class: `ObjectImpl`
      Retrieves a string array containing the repository identifiers supported by this `ObjectImpl` object. For example, for a stub, this method returns information about all the interfaces supported by the stub.
      Specified by:
        `_ids` in class `ObjectImpl`
      Returns:
        the array of all repository identifiers supported by this `ObjectImpl` instance

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.